#include <IRremote.h>   //include IR remote libraries

unsigned long CurrentValue = 0;   //stores current signal value
int RECV_PIN = 12;   //pin to receive the signal from the infrared module
IRrecv irrecv(RECV_PIN);
decode_results results;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn();   // Start the receiver
}

void loop() 
{
 if (irrecv.decode(&results))   // if a signal is detected
 {
  CurrentValue = (results.value);  //stores last value received
  Serial.println(CurrentValue);   //displays stored code for reference
  irrecv.resume();   //resume detecting signals
 }
}
